classification
Title: Mac build-installer touch step fails after github conversion
Type: compile error Stage: resolved
Components: Build Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: 'make touch' does not work with git clones of the source repository
View: 23404
Assigned To: ned.deily Nosy List: db3l, larry, ned.deily, zach.ware
Priority: Keywords:

Created on 2017-02-13 21:24 by db3l, last changed 2017-06-10 18:27 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 456 merged ned.deily, 2017-03-04 07:15
PR 458 merged ned.deily, 2017-03-04 07:54
Messages (5)
msg287726 - (view) Author: David Bolen (db3l) Date: 2017-02-13 21:24
The "make touch" step during the Mac installer builds on the bolen-dmg build slave no longer works after the conversion to github, which breaks the daily builds on the 3.* branches.

It looks like in issue 23404 Zachary disabled the touch step for the buildbots for now to avoid the issue in general builds, so perhaps the same thing should be done in build-installer pending a more general replacement of that step.
msg287727 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-02-13 21:27
Thanks, I'll take a look.
msg290302 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-24 22:56
New changeset 5ddddb166d9979161624c17cce3bdc11e1d9f3b8 by Ned Deily in branch '3.6':
bpo-29550: Temporarily skip "make touch" in Mac installer build. (#456) (#458)
https://github.com/python/cpython/commit/5ddddb166d9979161624c17cce3bdc11e1d9f3b8
msg290306 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-03-24 22:56
New changeset 7cd9b22e98a5b7a99a7539500ea946a7a58e1c8d by Ned Deily in branch 'master':
bpo-29550: Temporarily skip "make touch" in Mac installer build. (#456)
https://github.com/python/cpython/commit/7cd9b22e98a5b7a99a7539500ea946a7a58e1c8d
msg295650 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-06-10 18:27
The changes for Issue23404 removed "make touch" including from the installer build.
History
Date User Action Args
2017-06-10 18:27:17ned.deilysetstatus: open -> closed
priority: release blocker ->
resolution: duplicate
messages: + msg295650

superseder: 'make touch' does not work with git clones of the source repository
stage: resolved
2017-03-24 22:56:51ned.deilysetmessages: + msg290306
2017-03-24 22:56:17ned.deilysetmessages: + msg290302
2017-03-04 07:54:56ned.deilysetpull_requests: + pull_request382
2017-03-04 07:15:53ned.deilysetpull_requests: + pull_request380
2017-02-13 21:27:19ned.deilysetpriority: normal -> release blocker

nosy: + larry
messages: + msg287727

assignee: ned.deily
2017-02-13 21:24:46db3lcreate